Package csb :: Package statmech :: Module wham :: Class NonparametricWHAM

[frames] | no frames]

# Class NonparametricWHAM

source code

      object --+
               |
    AbstractWHAM --+
                   |
                  NonparametricWHAM

Implementation of the nonparametric WHAM outlined in Habeck 2012, in which histograms are reduced to delta peaks, this allows to use energies samples at different orders of magnitude, improving the accuracy of the DOS estimates.

Nested Classes
Inherited from `AbstractWHAM`: `__metaclass__`

Instance Methods

estimate(self, n_iter=10000, tol=1e-10) Estimate the density of states | source code

float

log_g(self, normalize=True) Return the Density of states (DOS). | source code

float or array

log_z(self, beta=1.0, ensembles=None) Compute the partition function for an ensemble at inverse temperature beta or for a defined ensemble | source code

Inherited from `AbstractWHAM`: `__init__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `AbstractWHAM`: `free_energies` Inherited from `object`: `__class__`

Method Details

### estimate(self, n_iter=10000, tol=1e-10)

source code

Estimate the density of states

Overrides: AbstractWHAM.estimate
  (inherited documentation)

### log_g(self, normalize=True)

source code

Return the Density of states (DOS).

Parameters:
  - `normalize` - Ensure that the density of states sums to one
Returns: float
Overrides: AbstractWHAM.log_g
  (inherited documentation)

### log_z(self, beta=1.0, ensembles=None)

source code

Compute the partition function for an ensemble at inverse temperature beta or for a defined ensemble

Parameters:
  - `beta` - Inverse Temperature
  - `ensembles` - List of ensembles for which the partition function should be evaluated
Returns: float or array
Overrides: AbstractWHAM.log_z
  (inherited documentation)